Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.util
Class ObservableObjectClassIteratorImpl

    java.lang.Object
      com.sun.management.oss.impl.pm.util.ObjectIterator
          com.sun.management.oss.impl.pm.util.ObservableObjectClassIteratorImpl

All Implemented Interfaces:
  ObservableObjectClassIterator, java.io.Serializable

public class ObservableObjectClassIteratorImpl
extends ObjectIterator
implements ObservableObjectClassIterator

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi
See Also:
  Serialized Form

Constructor Summary
`ObservableObjectClassIteratorImpl(java.lang.String[] observableObjectClasses)`

Method Summary
`java.lang.String[]` | `getNext(int how_many)` Returns a list of observable object classes names.

Methods inherited from class com.sun.management.oss.impl.pm.util.ObjectIterator
`getNextValue, remove`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.pm.util.ObservableObjectClassIterator
`remove`

Constructor Detail

### ObservableObjectClassIteratorImpl

    public ObservableObjectClassIteratorImpl(java.lang.String[] observableObjectClasses)

Method Detail

### getNext

    public java.lang.String[] getNext(int how_many)

  Description copied from interface: `ObservableObjectClassIterator`
  Returns a list of observable object classes names.

  The function takes one argument that specifies the most number of items to return. The implementation can decide to return less or the requested number of items.

  If zero is specified and empty list is returned.

  If the iteration is empty or has reached then end, empty list is returned.

  If the argument is greater than the number of item in the iterator then all or implementation decided number of items are returned.

  If the agreement plus the cursor of the iterator is greater than the number of item in the iterator, all or implementation decided number of items from the cursor to the end is returned.

  Specified by:
    `getNext` in interface `ObservableObjectClassIterator`
  Parameters:
    `how_many` - Maximum of items to return, the implementation can decide to return less.
  Returns:
    String[] List of observable object class names.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD